Gravv DOCS
Docs Agent Get Started
API Reference Get cards

Get cards

Retrieve a paginated list of cards with optional filtering.

GET/v1/cards

Query Parameters

Page number for pagination

Number of cards per page

Responses

Status Description
200 List of cards retrieved successfully

200 response

ID of the account associated with this card

Blockchain asset associated with the card

Blockchain network for the card

Currency of the card

ID of the customer who owns this card

Timestamp when the card was created

Timestamp when the card was last updated

Card expiration date

Unique identifier for the card

Last 4 digits of the card number

Name printed on the card

Card network, for example, visa or mastercard

Proxy address associated with the card

Current status of the card

Possible values: active, freeze, blocked

Wallet address associated with the card

Number of cards returned per page

Current page number

Total number of cards

Total number of pages

{
"data": {
"items": [
  {
    "account_id": "9b40be8d-9d74-4d2a-8897-dea3ef80ad23",
    "address": {
      "city": "New York",
      "country_iso_code": "US",
      "postal_code": "10002",
      "state": "New York",
      "street": "201 Allen St"
    },
    "asset": "USDC",
    "blockchain_network": "polygon",
    "currency": "USD",
    "customer_id": "1805c3be-abca-4698-9cbd-789fc1d619eb",
    "date_created": "2025-12-05T10:48:18.170061Z",
    "date_updated": "2025-12-06T15:31:40.273281Z",
    "expiry": "8/2029",
    "id": "ac21ddfc-f6ba-432c-abb3-c5e2243e8ef7",
    "masked_pan": "9032",
    "name_on_card": "Jane Doe",
    "network": "visa",
    "proxy_address": "0x68603Ce66b3FEdC7834E697C19bb405c582B9278",
    "status": "active",
    "wallet_address": "0xa10a5f695dfe578a13b2d618a8ea8679d8d2036d"
  }
],
"items_per_page": 1,
"page": 1,
"total_items": 5,
"total_pages": 5
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC